Mark Price K-Line

Pushes updates for the latest candlestick of the subscribed interval.

Supported intervals: 1m, 3m, 5m, 15m, 30m, 1H, 2H, 4H, 6H, 8H, 12H, 1D, 3D, 1W, 1M.

Channel name: <symbol>@mp_kline_<interval>

Subscription example:

{"method":"SUBSCRIBE","params":["btcusdc@mp_kline_1m"]}

Response example:

{
    "eventType": "mpKline",
    "param": "btcusdc@mp_kline_1m",
    "action": "update",
    "eventTime": 1778596292840,
    "data": [
        {
            "openTime": 1778596260000,
            "closeTime": 1778596319999,
            "symbolId": "BTCUSDC",
            "interval": "1m",
            "open": "80576",
            "close": "80471.5",
            "high": "80576",
            "low": "80428.5",
            "closed": false
        }
    ]
}

Field descriptions

FieldDescription
openTimeKline start time
closeTimeKline end time
symbolIdTrading pair
intervalInterval
openFirst traded price during the kline period
closeLast traded price during the kline period
highHighest traded price during the kline period
lowLowest traded price during the kline period
closedWhether the kline is closed